Name:		ovs-arping
Version:	1.0
Release:	14%{?dist}
Summary:	Oracle VM active MAC address table update tool for network switch
Vendor: 	Oracle America

Group:		System/Daemons
License:	GPL
URL:		http://www.oracle.com/virtualization
Source0:	%{name}-%{version}.tar.gz
	
Requires: 	python >= 2.6, python < 2.7
Requires:	arping

BuildArch:	noarch


%description
This daemon monitors all bonds active slaves on the host and actively update the network
switch MAC address table or Cisco ACI endpoint table by transmitting arping frames with 
the guest IP and MAC if any bond active slave changes. More info provided in README.


%prep
%setup -q


%build
make build


%install
rm -rf %{buildroot}/%{_libdir}/python2.6/site-packages/%{name}
rm -rf %{buildroot}/etc/init.d/%{name}
mkdir -p %{buildroot}/%{_libdir}/python2.6/site-packages/%{name}
mkdir -p %{buildroot}/etc/init.d
install -m 644 %{name}.py*  %{buildroot}/%{_libdir}/python2.6/site-packages/%{name}/
install -m 755 %{name} %{buildroot}/etc/init.d/%{name}


%post
chkconfig --add %{name}
service %{name} start


%preun
chkconfig --del %{name}
service %{name} stop


%files
%dir %{_libdir}/python2.6/site-packages/%{name}/
%{_libdir}/python2.6/site-packages/%{name}/%{name}.py*
/etc/init.d/%{name}
%doc LICENSE README



%changelog
* Thu Aug 27 2020 Reason Song <reason.song@oracle.com> - 1.0-14
- Increase the limit number of the IPs mapping to a single MAC from 20 to 200

* Mon Aug 24 2020 Reason Song <reason.song@oracle.com> - 1.0-13
- Support mapping multiple IPs to single MAC
- Add IP Validation before sending out packets

* Mon Aug 17 2020 Reason Song <reason.song@oracle.com> - 1.0-12
- Change customer file name from ntt-endpoints to show-endpoints

* Thu Aug 6 2020 Reason Song <reason.song@oracle.com> - 1.0-11
- Acquire guest IPs from /opt/ovs-extra/ntt-endpoints provided by the customer
- Send out arping packet with guest IP to update Cisco ACI endpoint table
- Replace ARP request with GARP reply

* Fri Jun 12 2020 Reason Song <reason.song@oracle.com> - 1.0-10
- Correct typo in spec changelog

* Fri Jun 5 2020 Reason Song <reason.song@oracle.com> - 1.0-9
- Fix the issue occurring when no bridge is attached to an affected vlan

* Tue Apr 7 2020 Reason Song <reason.song@oracle.com> - 1.0-8
- Add installation and un-installation guide to README

* Fri Apr 3 2020 Reason Song <reason.song@oracle.com> - 1.0-7
- Add copyright to the service bash script

* Wed Apr 1 2020 Reason Song <reason.song@oracle.com> - 1.0-6
- Refine README

* Wed Apr 1 2020 Reason Song <reason.song@oracle.com> - 1.0-5
- Update package tarball to latest

* Tue Mar 31 2020 Reason Song <reason.song@oracle.com> - 1.0-4
- Add LICENSE and README to doc

* Tue Mar 10 2020 Reason Song <reason.song@oracle.com> - 1.0-3
- Refine Makefile and spec file package info

* Mon Mar 1 2020 Reason Song <reason.song@oracle.com> - 1.0-2
- Filter out invalid vif without the nodename file when getting MACs for a certain bridge

* Tue Feb 4 2020 Reason Song <reason.song@oracle.com> - 1.0-1
- Module created
